# std::experimental::concat

From cppreference.com
< cpp‎ | experimental‎ | simd

Defined in header `<experimental/simd>` |  |
template < class T, class... Abis > simd<T, simd_abi::deduce_t<T, (simd_size_v<T, Abis> + ...)>> concat( const simd<T, Abis>&... vs ); | (1) |
template <class T, class... Abis> simd_mask<T, simd_abi::deduce_t<T, (simd_size_v<T, Abis> + ...)>> concat( const simd_mask<T, Abis>&... vs ); | (2) |

Concatenates the input simd or simd_mask objects.

### Parameter

vs | - | the input simd or simd_mask parameter pack

### Return value

The concatenated result of a single simd or simd_mask object.

### Example

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/experimental/simd/concat&oldid=111141"